POST api/badgereaderapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BadgeReaderViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_id | globally unique identifier |
None. |
|
| com_port | integer |
None. |
|
| baudrate | integer |
None. |
|
| direction | string |
Required String length: inclusive between 0 and 3 |
|
| has_correspondence | boolean |
Required |
|
| active | boolean |
Required |
|
| badge_reader_type_id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| parity | integer |
Required |
|
| data_bits | integer |
Required |
|
| stop_bits | integer |
Required |
|
| handshake | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "22ec0e9f-95a4-4635-99d8-ce27d899c55b",
"name": "sample string 2",
"pc_id": "60e86e1f-f122-44fa-8012-738a56100b99",
"com_port": 1,
"baudrate": 1,
"direction": "sample string 3",
"has_correspondence": true,
"active": true,
"badge_reader_type_id": "c4f560a3-08f4-4742-9c5e-3a58c0236f24",
"site_id": "227884c9-5700-4763-b2e0-77a6ed3b6874",
"parity": 6,
"data_bits": 7,
"stop_bits": 8,
"handshake": 9
}
application/xml, text/xml
Sample:
<badgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <badge_reader_type_id>c4f560a3-08f4-4742-9c5e-3a58c0236f24</badge_reader_type_id> <baudrate>1</baudrate> <com_port>1</com_port> <data_bits>7</data_bits> <direction>sample string 3</direction> <handshake>9</handshake> <has_correspondence>true</has_correspondence> <id>22ec0e9f-95a4-4635-99d8-ce27d899c55b</id> <name>sample string 2</name> <parity>6</parity> <pc_id>60e86e1f-f122-44fa-8012-738a56100b99</pc_id> <site_id>227884c9-5700-4763-b2e0-77a6ed3b6874</site_id> <stop_bits>8</stop_bits> </badgereader>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"fdb708c7-0bb9-4fcb-9a9f-7d84fd0c1267"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">fdb708c7-0bb9-4fcb-9a9f-7d84fd0c1267</guid>